# ngStatsUT.cfg config file for ngStatsUT.exe from
# NetGames USA for Unreal Tournament from Epic Games
#
# Logfile created 16 Nov 1999 for versions 1.1 or later of ngStatsUT.exe
#
# Info on ngStats for Unreal Tournament at NetGames USA - http://www.NetGamesUSA.com/ngStats/UT/
#
# This config file must be located in the same directory as ngStatsUT.exe
#
# This file uses the # sign for comments has its actual data in the
# format of '<varable>\t<value>\n' (\t=ASCII TAB \n=ASCII New Line)
#
# Note:Any other varable delination other than TAB, including spaces, will not work.
#
# Parameters:


Max_Most_Recent	15

# Max_Most_Recent
#     The number of games to keep detailed stats for
#     before they are replaced in favor of new ones.
#     Note: Overall ngStats from ALL games are ALWAYS acumulated in the TOTALS
#     regardless of this setting. It must be at least 1. Keep in mind
#     that the higher this number, the more disk space that is required.
#     The maximum allowed is 1000.


LogFileHandling	delete

#LogFileHandling = What to do with the log files that are passed to ngStats
#		       move   = move them from their current location to 'SaveDir'
#		       delete = delete them *Default
#                  If you are running an official tournament you will want to move the logfiles so that you
#                  may save them for archival purposes.


SaveDir	processedLogs/

#SaveDir = The location to move/save log files after they have been processed.
#          Only functions if LogFileHandling is set to "Move". The directory must exist first.


LogTmpFiles	true

#LogTmpFiles = Unreal Tournament saves logs with a .tmp extension when it is currently adding to the file. If a game did not
#		   properly complete or was manually quit i.e. did not reach a timelimit, fraglimit, capture limit etc.
#              ngStats can either ignore them or process them.  ngStats looks for these files in the directory
#		   of the logfile given on the command line. (values = true or false)


Directory	RELATIVE

# Directory =  whether to consider the following directories as absolute
#              pathname, or whether to append the path of the ngStatsUT
#              executable to them.
#              values = ABSOLUTE or RELATIVE with RELATIVE the Default


HTMLDirectory	html/

#HTMLDirectory = The directory where all HTML stats output should go relative
#                to the directory that ngStatsUT.exe was called from. If
#                ngStatsUT.exe was called from its own directory the path would
#                be: ../../html/ The default is: html/

DBDir	data/

#DBDir	       = The directory where the ngStats database is stored relative
#                to the directory that ngStatsUT.exe was called from. If
#                ngStatsUT.exe was called from its own directory the path would
#                be: ../../data/ The default is: data/


RankAllGames	10
RankDeathMatch	10
RankCTF	10
RankDomination	10
RankTeamGame	10
RankAssault	10
RankLastManStanding	10

#Rank* = these entries are used to limit the size of the Top X tables
#	   on the Career Rankings Page. (i.e. RankCTF = 10, would tell
#	   ngStats to only display the top 10 CTF players)
#        The maximum value allowed is 64. Anything higher will be rounded down to 64.


CreateGraphs	true

#CreateGraphs =  If you want ngStats to create graphs.
#                true = create graphs *Default
#                false = do not create graphs


SpawnBrowser	true

#SpawnBrowser = Advanced option for those running dedicated servers on which it
#is undesirable to have ngStatsUT.exe automatically launch the default web browser
#to view the new ngStats information. (values = true or false)The default is true.

DebugType	None

#DebugType = Advanced option. Don't change it unless directed to by a tech support representative. :)


#*** Note: UT has a UnrealTournament.ini file option in the [Engine.StatLog] section called
#*** bBatchLocal=<True> or <False> where True will cause UT to call ngStats after every map
#*** is played. If you are running a dedicated server and wish to have your servers ngStats
#*** always available for viewing then enabling this ini option would be of use to you. 
#*** If you enable it you will not need set SpawnBrowser above to False because
#*** the special dedicated server call also overrides SpawnBrowser to false. This way you can
#*** leave your dedicated server unattended and have its ngStats automatically generated and
#*** and available for your players. LAN Parties and servers with web sites are good examples of
#*** who can make use of this feature. Keep in mind ngStats has no measures for player uniqueness
#*** or security like ngWorldStats does. At a LAN Party this shouldn't be an issue but you
#*** will want to be sure to also have your server participate in ngWorldStats at the same time.
#*** If you would like a "how to guide" on setting up a web server so your LAN Party participants
#*** or local server players can view their ngStats visit http://www.NetGamesUSA.com/ngStats/UT/


# *** When running ngStatsUT.exe:
# *** This is the default config file that will be used
# *** As an advanced option, mainly for multiple dedicated servers, you may run ngSTatsUT.exe with
# *** the '-c <config_file>' option to use an alternate config file.
# *** Info on ngStats for Unreal Tournament at NetGames USA - http://www.NetGamesUSA.com/ngStats/UT/
